define([
	"dojo/_base/declare", 
	"chy/_base/_ValidateMixin",
	"dojo/text!./templates/_proto_.html"
],function(declare,_ValidateMixin,template)
{
	return declare("chy.widget._proto_", _ValidateMixin, {
           
		   constructor: function(args){
			   declare.safeMixin(this,args);
				this.inherited(arguments);
		    }
        
	});
});